Subject: Re: next sync updates

From: Jarkko Sakkinen <[email-masked]>
Date: Wed, 22 Apr 2026 16:46:17 +0300

On Wed, Apr 22, 2026 at 01:10:57PM +0100, Mark Brown wrote:
> On Wed, Apr 22, 2026 at 12:34:04PM +0300, Jarkko Sakkinen wrote:
> 
> > Mark, the goal is to address the main problem Linus was complaining
> > about i.e., late rewrites of Git trees (aside from late cc stable
> > rewrite, which could have been prevented).
> 
> > for-next-tpm and for-next-keys will replace 'next', which I will
> > delete after the change is effective.
> 
> I didn't see this mail until after I'd started things running for today
> but I've now updated the config so the two new trees should appear from
> tomorrow as tpmdd-keys and tpmdd-tpm, and the old tpmdd tree has been
> removed.

AFAIC, this was fast response time :-) (less than 24h)
 
> Thanks for adding your subsystem tree as a participant of linux-next.  As
> you may know, this is not a judgement of your code.  The purpose of
> linux-next is for integration testing and to lower the impact of
> conflicts between subsystems in the next merge window.
> 
> You will need to ensure that the patches/commits in your tree/series have
> been:
>      * submitted under GPL v2 (or later) and include the Contributor's
>         Signed-off-by,
>      * posted to the relevant mailing list,
>      * reviewed by you (or another maintainer of your subsystem tree),
>      * successfully unit tested, and
>      * destined for the current or next Linux merge window.

Sure.

> 
> Basically, this should be just what you would send to Linus (or ask him
> to fetch).  It is allowed to be rebased if you deem it necessary.

My old topology caused more noise than necessary, and was getting
difficult to manage, as each pull request required reorg of commits
in my next branch, every time I prepared a PR.

Thanks for your trouble.

BR, Jarkko